Skip to content

Logout ​

When a user logs out of a third-party application system, in addition to terminating the application session, the SSO ticket generated by the IDaaS platform is destroyed. After the IDaaS SSO ticket is destroyed, the browser will be redirected to the callback URL specified by the application.

Request Description ​

http
GET https://{your_domain}/api/v1/logout

Request Example ​

https://{your_domain}/api/v1/logout?redirect_url=https://{app_domain}/callback&client_id={client_id}

Request Parameters ​

ParameterNameRequiredExampleDescription
redirect_urlApplication address to redirect to after logoutNohttps://{app_domain}/callbackAfter unified authentication logout completes, the browser is redirected to this application address.
client_idApplication identifierNoRqB2HJtkzlUN676qAThe clientId value generated by the IDaaS platform for the application.

Response Example ​

json
HTTP Status: 302 REDIRECT
http(s)://{app_domain}/callback

BambooCloud IDaaS Open Platform